---
title: "Make"
description: "Webhook আৰু REST API-ৰে Quire-ক Make-ৰ সৈতে সংযোগ কৰক।"
image: "https://docs.quirelms.com/og.png"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.quirelms.com/as/llms.txt
> Use this file to discover all available pages before exploring further.

# Make

<span id="make"></span>

নিজৰ HTTP আৰু webhook module ব্যৱহাৰ কৰি Make-এ REST API আৰু webhook-ৰে Quire-ৰ সৈতে সংযোগ কৰে। [API তথ্যসূত্ৰ](https://docs.quirelms.com/api/)-ত থকা সকলো বস্তু উপলব্ধ।

## Quire event-ৰ পৰা scenario আৰম্ভ কৰক <!--quire:start-a-scenario-from-a-quire-event-->

1. প্ৰথম module হিচাপে **Webhooks** module-ৰ **Custom webhook** যোগ কৰি address copy কৰক।
2. Quire-ত `/admin/webhooks` খুলি **Add subscription** বাছি address paste কৰি event বাছক। Quire-ৰ test event-এ Make-ক body-ৰ গঠন চিনিবলৈ দিয়ে: event পঠিওৱাৰ সময়ত module এবাৰ চলাওক।
3. কাম কৰাৰ আগতে signature verify কৰক। Webhook-ৰ advanced setting-ত header pass through কৰি, subscription secret-ৰে `webhook-signature`-ত `{webhook-id}.{webhook-timestamp}.{body}` পৰীক্ষা কৰক, [developer গাইড](/as/developer/#webhooks)-ত বৰ্ণনা কৰাৰ দৰে। Check বিফল হ’লে scenario বন্ধ কৰা filter যোগ কৰক।

## Scenario-ৰ পৰা Quire call কৰক <!--quire:call-quire-from-a-scenario-->

**HTTP** module-ৰ **Make a request** ব্যৱহাৰ কৰক:

| Field | Value |
| --- | --- |
| URL | `https://acme.quirelms.com/api/v1/<resource>` |
| Method | API তথ্যসূত্ৰত কোৱাৰ দৰে |
| Headers | `Authorization: Bearer qk_live_...`, আৰু write-ৰ বাবে `Idempotency-Key` |
| Body type | Raw, JSON |
| Parse response | হয় |

Scenario-ৰ প্ৰয়োজনীয় scope-হে দি `/admin/integrations/api-keys`ত কেৱল Make-ৰ বাবে key বনাওক। List-ৰ বাবে `page.has_more` true থকালৈ loop কৰি `page.next_cursor`ক `cursor` হিচাপে দিয়ক: cursor কঢ়িওৱা **Set variable**-সহ Make-ৰ **Repeater**-এ এই কাম কৰে।

ব্যক্তিৰ হৈ কাম কৰা scenario-ৰ বাবে `/admin/integrations/oauth-clients`ত OAuth client register কৰি ইয়াৰ সৈতে Make-ৰ **HTTP** module **Make an OAuth 2.0 request** ব্যৱহাৰ কৰক।

## উদাহৰণ: সাপ্তাহিক সম্পূৰ্ণতাৰ সাৰাংশ <!--quire:example-weekly-completion-digest-->

1. **Schedule**: প্ৰতিটো সোমবাৰ।
2. **HTTP**: `GET /api/v1/course_completions?updated_since=<a week ago>`।
3. `data`ৰ ওপৰত **Iterator**, টেবুল এখনত **Aggregator**।
4. টেবুলখন ইমেইল কৰক বা post কৰক।

Source: https://docs.quirelms.com/as/integrations/make/index.mdx
